#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	25.04.0
%define		kframever	5.101.0
%define		qtver		5.15.2
%define		kaname		kdeconnect-kde
Summary:	KDE Connect - desktop app
Name:		ka6-%{kaname}
Version:	25.04.0
Release:	2
License:	BSD 3 Clause/GPL v2/GPL v3
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	d9321b75100f9fb48fbc95a78ae60733
Patch0:		kdeconnect-kde-fix-i686-build.patch
URL:		http://www.kde.org/
BuildRequires:	ModemManager-devel
BuildRequires:	Qt6Bluetooth-devel
BuildRequires:	Qt6Core-devel >= 5.15.2
BuildRequires:	Qt6DBus-devel >= 5.15.2
BuildRequires:	Qt6Gui-devel >= 5.15.2
BuildRequires:	Qt6Multimedia-devel
BuildRequires:	Qt6Network-devel >= 5.15.2
BuildRequires:	Qt6Qml-devel >= 5.15.11
BuildRequires:	Qt6Quick-devel
BuildRequires:	Qt6Test-devel
BuildRequires:	Qt6WaylandClient-devel
BuildRequires:	cmake >= 3.20
BuildRequires:	docbook-dtd45-xml
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel
BuildRequires:	gettext-tools
BuildRequires:	kf6-extra-cmake-modules >= 5.93.0
BuildRequires:	kf6-kauth-devel >= 5.93.0
BuildRequires:	kf6-kcmutils-devel >= 5.101.0
BuildRequires:	kf6-kconfigwidgets-devel >= 5.110.0
BuildRequires:	kf6-kcoreaddons-devel >= 5.109.0
BuildRequires:	kf6-kdbusaddons-devel >= 5.101.0
BuildRequires:	kf6-kdoctools-devel >= 5.101.0
BuildRequires:	kf6-kguiaddons-devel >= 5.101.0
BuildRequires:	kf6-ki18n-devel >= 5.101.0
BuildRequires:	kf6-kiconthemes-devel >= 5.101.0
BuildRequires:	kf6-kio-devel >= 5.101.0
BuildRequires:	kf6-kirigami-devel >= 5.101.0
BuildRequires:	kf6-knotifications-devel >= 5.101.0
BuildRequires:	kf6-kpackage-devel
BuildRequires:	kf6-kpeople-devel >= 5.101.0
BuildRequires:	kf6-kservice-devel >= 5.101.0
BuildRequires:	kf6-kwidgetsaddons-devel >= %{kframever}
BuildRequires:	kf6-kwindowsystem-devel >= 5.101.0
BuildRequires:	kf6-modemmanager-qt-devel >= 5.101.0
BuildRequires:	kf6-pulseaudio-qt-devel >= 1.4.0
BuildRequires:	kf6-qqc2-desktop-style-devel >= 5.101.0
BuildRequires:	kf6-solid-devel >= 5.101.0
BuildRequires:	kirigami-addons-devel
BuildRequires:	libfakekey-devel
BuildRequires:	ninja
BuildRequires:	plasma-wayland-protocols-devel
BuildRequires:	qca-qt6-devel >= 2.1.0
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	wayland-protocols >= 1.9
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Requires:	%{name}-data = %{version}-%{release}
Obsoletes:	ka5-%{kaname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDE Connect is a multi-platform app that allows your devices to
communicate (eg: your phone and your computer).

(Some) Features
- **Shared clipboard**: copy and paste between your phone and your
  computer (or any other device).
- **Notification sync**: Read and reply to your Android notifications
  from the desktop.
- **Share files and URLs** instantly from one device to another
  including some filesystem integration.
- **Multimedia remote control**: Use your phone as a remote for Linux
  media players.
- **Virtual touchpad**: Use your phone screen as your computer's
  touchpad and keyboard.
- **Presentation remote**: Advance your presentation slides straight
  from your phone.
- **Run Commands**: Run shell commands on your computer from your
  phone.
- **Access SMS**: Read, send and reply to SMS and MMS from your
  computer.

All this is done completely wirelessly, utilising TLS encryption.

%package data
Summary:	Data files for %{kaname}
Summary(pl.UTF-8):	Dane dla %{kaname}
Group:		X11/Applications
Obsoletes:	ka5-%{kaname}-data < %{version}
BuildArch:	noarch

%description data
Data files for %{kaname}.

%description data -l pl.UTF-8
Dane dla %{kaname}.


%prep
%setup -q -n %{kaname}-%{version}
%patch -P0 -p1

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DQT_MAJOR_VERSION=6
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

# not supported by glibc yet
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ie
%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_desktop_database_post

%postun
/sbin/ldconfig
%update_desktop_database_postun

%files
%defattr(644,root,root,755)
/etc/xdg/autostart/org.kde.kdeconnect.daemon.desktop
%attr(755,root,root) %{_bindir}/kdeconnect-app
%attr(755,root,root) %{_bindir}/kdeconnect-cli
%attr(755,root,root) %{_bindir}/kdeconnect-handler
%attr(755,root,root) %{_bindir}/kdeconnect-indicator
%attr(755,root,root) %{_bindir}/kdeconnect-settings
%attr(755,root,root) %{_bindir}/kdeconnect-sms
%attr(755,root,root) %{_bindir}/kdeconnectd
%ghost %{_libdir}/libkdeconnectcore.so.??
%attr(755,root,root) %{_libdir}/libkdeconnectcore.so.*.*.*
%ghost %{_libdir}/libkdeconnectpluginkcm.so.??
%attr(755,root,root) %{_libdir}/libkdeconnectpluginkcm.so.*.*.*
%{_libdir}/libkdeconnectinterfaces.a
%dir %{_libdir}/qt6/plugins/kdeconnect
%dir %{_libdir}/qt6/plugins/kdeconnect/kcms
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kcms/kdeconnect_clipboard_config.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kcms/kdeconnect_runcommand_config.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kcms/kdeconnect_sendnotifications_config.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kcms/kdeconnect_share_config.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kcms/kdeconnect_findthisdevice_config.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kcms/kdeconnect_pausemusic_config.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kdeconnect_battery.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kdeconnect_bigscreen.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kdeconnect_clipboard.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kdeconnect_connectivity_report.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kdeconnect_contacts.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kdeconnect_findmyphone.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kdeconnect_lockdevice.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kdeconnect_mmtelephony.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kdeconnect_mousepad.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kdeconnect_mpriscontrol.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kdeconnect_mprisremote.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kdeconnect_notifications.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kdeconnect_ping.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kdeconnect_presenter.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kdeconnect_remotecommands.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kdeconnect_remotecontrol.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kdeconnect_remotekeyboard.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kdeconnect_remotesystemvolume.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kdeconnect_runcommand.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kdeconnect_screensaver_inhibit.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kdeconnect_sendnotifications.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kdeconnect_sftp.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kdeconnect_share.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kdeconnect_sms.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kdeconnect_telephony.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kdeconnect_virtualmonitor.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kdeconnect_findthisdevice.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kdeconnect_pausemusic.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdeconnect/kdeconnect_systemvolume.so
%attr(755,root,root) %{_libdir}/qt6/plugins/plasma/kcms/systemsettings_qwidgets/kcm_kdeconnect.so
%dir %{_libdir}/qt6/qml/org/kde/kdeconnect
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kfileitemaction/kdeconnectfileitemaction.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kio/kdeconnect.so
%{_libdir}/qt6/qml/org/kde/kdeconnect/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/kdeconnect/kdeconnectdeclarativeplugin.qmltypes
%{_libdir}/qt6/qml/org/kde/kdeconnect/DBusProperty.qml
%{_libdir}/qt6/qml/org/kde/kdeconnect/PluginChecker.qml
%{_libdir}/qt6/qml/org/kde/kdeconnect/RemoteKeyboard.qml
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/kdeconnect/libkdeconnectdeclarativeplugin.so
%{_libdir}/qt6/qml/org/kde/kdeconnect/qmldir
%dir %{_libdir}/qt6/qml/org/kde/kdeconnect/private
%dir %{_libdir}/qt6/qml/org/kde/kdeconnect/private/findthisdevice
%{_libdir}/qt6/qml/org/kde/kdeconnect/private/findthisdevice/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/kdeconnect/private/findthisdevice/kdeconnect_findthisdevice_qmlhelper.qmltypes
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/kdeconnect/private/findthisdevice/libkdeconnect_findthisdevice_qmlhelper.so
%{_libdir}/qt6/qml/org/kde/kdeconnect/private/findthisdevice/qmldir

%files data -f %{kaname}.lang
%defattr(644,root,root,755)
%dir %{_datadir}/Thunar
%dir %{_datadir}/Thunar/sendto
%{_datadir}/Thunar/sendto/kdeconnect-thunar.desktop
%{_desktopdir}/kcm_kdeconnect.desktop
%{_desktopdir}/org.kde.kdeconnect-settings.desktop
%{_desktopdir}/org.kde.kdeconnect.app.desktop
%{_desktopdir}/org.kde.kdeconnect.daemon.desktop
%{_desktopdir}/org.kde.kdeconnect.handler.desktop
%{_desktopdir}/org.kde.kdeconnect.nonplasma.desktop
%{_desktopdir}/org.kde.kdeconnect.sms.desktop
%dir %{_datadir}/contractor
%{_datadir}/contractor/kdeconnect.contract
%{_datadir}/dbus-1/services/org.kde.kdeconnect.service
%dir %{_datadir}/deepin
%dir %{_datadir}/deepin/dde-file-manager
%dir %{_datadir}/deepin/dde-file-manager/oem-menuextensions
%{_datadir}/deepin/dde-file-manager/oem-menuextensions/kdeconnect-dde.desktop
%{_iconsdir}/hicolor/*x*/status/*.svg
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_datadir}/kdeconnect
%{_datadir}/knotifications6/kdeconnect.notifyrc
%{_datadir}/metainfo/org.kde.kdeconnect.appdata.xml
%{_datadir}/metainfo/org.kde.kdeconnect.metainfo.xml
%dir %{_datadir}/nautilus-python
%dir %{_datadir}/nautilus-python/extensions
%{_datadir}/nautilus-python/extensions/kdeconnect-share.py
%dir %{_datadir}/plasma/plasmoids/org.kde.kdeconnect
%dir %{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents
%dir %{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/Battery.qml
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/Clipboard.qml
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/CompactRepresentation.qml
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/Connectivity.qml
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/DeviceDelegate.qml
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/FindMyPhone.qml
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/FullRepresentation.qml
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/RemoteCommands.qml
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/SMS.qml
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/Sftp.qml
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/Share.qml
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/VirtualMonitor.qml
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/main.qml
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/metadata.json
%{_datadir}/qlogging-categories6/kdeconnect-kde.categories
%{zsh_compdir}/_kdeconnect
%changelog
* Thu May 01 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-kdeconnect-kde.git;a=log;h=master

* Thu May 01 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 64fe3f3
- compilation fix (patch from Mageia)
- more BRs
- rel 2

* Thu Apr 24 2025 Witold Filipczyk <witekfl@poczta.onet.pl> bbbf49a
- update_desktop_database

* Thu Apr 17 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 54bfa68
- updated to 25.04.0

* Fri Mar 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 8d2e641
- updated to 24.12.3

* Sat Feb 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 046469f
- updated to 24.12.2

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> b4e15cb
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 7fbd020
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 7290900
- updated to 24.08.3

* Mon Oct 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> dcd8165
- dirs

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> da36c2a
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9001336
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 6e5d110
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 0b1dd83
- data subpackage

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9003bad
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 6141368
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ec9a040
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> eac09d9
- updated to 24.02.2

* Fri Mar 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 798108b
- updated to 24.02.1

* Mon Mar 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ed71d11
- updated to 24.02.0

